package com.agile611.testng.webdriver;

import org.testng.Assert;
import org.testng.annotations.Test;

public class InterrogationTest extends BaseTest {
    @Test //Opciones de Navegación
    public void testNavigation() throws Exception {
        driver.get("https://www.duckduckgo.com/"); //Navegar hasta duckduckgo
        System.out.println("---------------------");
        System.out.println(driver.getPageSource());
        System.out.println("---------------------");
        System.out.println(driver.getTitle());
        Assert.assertTrue(driver.getTitle().contains("DuckDuckGo"));
        System.out.println("---------------------");
        System.out.println(driver.getCurrentUrl());
        Assert.assertTrue(driver.getCurrentUrl().contains("https://duckduckgo.com/"));
        System.out.println("---------------------");

    }
}


